<template>
	<v-list-item v-bind:to="hasRoute && !external ? route : undefined" v-bind:href="hasRoute && external ? route : undefined">
		<v-list-item-action>
			<v-icon large>{{ icon }}</v-icon>
		</v-list-item-action>
		<v-list-item-content>
			<v-list-item-title :style="{ fontSize: '12pt' }">{{
				title
			}}</v-list-item-title>
		</v-list-item-content>
		<v-icon right v-if="external">mdi-launch</v-icon>
		<slot></slot>
	</v-list-item>
</template>

<script>
export default {
	name: "NavListItem",
	props: {
		title: String,
		icon: String,
		external:{
			type: Boolean,
			default: false
		},
		hasRoute:{
			type: Boolean,
			default: true
		},
		route: {
			default() {
				return this.title.toLowerCase();
			},
			type: String
		}
	}
};
</script>